This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 432758 - (CVE-2008-0785) cacti: multiple input saintization issues (CVE-2008-0783, CVE-2008-0784, CVE-2008-0785, CVE-2008-0786)
cacti: multiple input saintization issues (CVE-2008-0783, CVE-2008-0784, CVE-...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
http://www.cacti.net/release_notes_0_...
: Security
Depends On: 432759 432760 432761
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-14 00:19 EST by Lubomir Kundrak
Modified: 2008-02-19 04:03 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-19 04:03:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Lubomir Kundrak 2008-02-14 00:19:10 EST
Description of problem:

Lack of input saintization can reportedly [1] [2] compose XSS, SQL injection or
HTTP response splitting attack vector.


[1] http://www.cacti.net/release_notes_0_8_7b.php
[2] http://secunia.com/advisories/28872/
Comment 1 Lubomir Kundrak 2008-02-14 00:21:29 EST
CVE name/names was/were requested
Comment 3 Fedora Update System 2008-02-14 10:31:42 EST
cacti-0.8.7b-1.fc8 has been submitted as an update for Fedora 8
Comment 4 Jon Stanley 2008-02-14 23:31:29 EST
*** Bug 432473 has been marked as a duplicate of this bug. ***
Comment 5 Fedora Update System 2008-02-15 21:11:57 EST
cacti-0.8.7b-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2008-02-15 21:14:21 EST
cacti-0.8.7b-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Tomas Hoger 2008-02-19 04:01:55 EST
CVE ids:

* XSS vulnerabilities

CVE-2008-0783:
Multiple cross-site scripting (XSS) vulnerabilities in Cacti 0.8.7
before 0.8.7b and 0.8.6 before 0.8.6k allow remote attackers to inject
arbitrary web script or HTML via the (1) view_type parameter to
graph.php, (2) filter parameter to graph_view.php, and (3) action and
login_username parameters to index.php/login.


* Path disclosure vulnerabilities

CVE-2008-0784
graph.php in Cacti 0.8.7 before 0.8.7b and 0.8.6 before 0.8.6k allows
remote attackers to obtain the full path via an invalid local_graph_id
parameter and other unspecified vectors.

Note: This is not an issue for Fedora packages, as installation path can be
trivially figured out from RPMs.


* SQL injection vulnerabilities

CVE-2008-0785:
Multiple SQL injection vulnerabilities in Cacti 0.8.7 before 0.8.7b
and 0.8.6 before 0.8.6k allow remote authenticated users to execute
arbitrary SQL commands via the (1) graph_list parameter to
graph_view.php, (2) leaf_id and id parameters to tree.php, (3)
local_graph_id parameter to graph_xport.php, and (4) login_username
parameter to index.php/login.


* HTTP response splitting vulnerabilities

CVE-2008-0786:
CRLF injection vulnerability in Cacti 0.8.7 before 0.8.7b and 0.8.6
before 0.8.6k, when running on older PHP interpreters, allows remote
attackers to inject arbitrary HTTP headers and conduct HTTP response
splitting attacks via unspecified vectors.

Note: This may be a non-issue for Fedora too, as reportedly only works on
unspecified older PHP versions.


Additional references:
http://marc.info/?l=bugtraq&m=120284658901282&w=4
http://www.securityfocus.com/bid/27749
http://securitytracker.com/alerts/2008/Feb/1019414.html

Note You need to log in before you can comment on or make changes to this bug.